1 2 3 4 5 6

Vulnerabilidades rss pdf

Coordinación de Seguridad de la Información - UNAM-CERT -- DGTIC-UNAM

Vulnerabilidad de Seguridad UNAM-CERT-2011-072 Vulnerabilidades en Microsoft SharePoint podrían permitir la elevación de privilegios

Esta actualización de seguridad resuelve cinco vulnerabilidades de las que se ha informado de forma privada y una vulnerabilidad de la que se ha informado de forma pública en Microsoft SharePoint y Windows SharePoint Services. Las vulnerabilidades más graves podrían permitir la elevación de privilegios si un usuario hace clic en una dirección URL maliciosa o visita un sitio web malicioso. En las vulnerabilidades más graves, los usuarios de Internet Explorer 8 e Internet Explorer 9 que exploren un sitio de SharePoint en la zona Internet están menos expuestos porque, de forma predeterminada, el filtro XSS en Internet Explorer 8 e Internet Explorer 9 contribuye a bloquear los ataques en la zona Internet. No obstante, el filtro XSS en Internet Explorer 8 e Internet Explorer 9 no está habilitado de forma predeterminada en la zona Intranet.

  • Fecha de Liberación: 13-Sep-2011
  • Ultima Revisión: 14-Sep-2011
  • Fuente: Microsoft Corp.
  • Riesgo Importante
  • Problema de Vulnerabilidad Remoto
  • Tipo de Vulnerabilidad Elevación de privilegios

Sistemas Afectados

Microsoft Windows todas las versiones Microsoft Groove Server 2010 and Microsoft Groove Server 2010 SP1 KB2346298
Microsoft Windows todas las versiones Microsoft Office Forms Server 2007 SP2 (32-bit) KB2553005
Microsoft Windows todas las versiones Microsoft Office Forms Server 2007 SP2 (64-bit) KB2553005
Microsoft Windows todas las versiones Microsoft Office Groove 2007 SP2 KB2494047
Microsoft Windows todas las versiones Microsoft Office Groove Data Bridge Server 2007 SP2 KB2552999
Microsoft Windows todas las versiones Microsoft Office Groove Management Server 2007 SP2 KB2552998
Microsoft Windows todas las versiones Microsoft Office SharePoint Server 2007 SP2 (32-bit) KB2345212
Microsoft Windows todas las versiones Microsoft Office SharePoint Server 2007 SP2 (64-bit) KB2345212
Microsoft Windows todas las versiones Microsoft Office SharePoint Server 2010 and Microsoft Office SharePoint Server 2010 SP1 KB2494022
Microsoft Windows todas las versiones Microsoft Office Web Apps 2010 and Microsoft Office Web Apps 2010 SP1 KB2520047
Microsoft Windows todas las versiones Microsoft SharePoint Foundation 2010 and Microsoft SharePoint Foundation 2010 SP11 KB2345322
Microsoft Windows todas las versiones Microsoft SharePoint Workspace 2010 and Microsoft SharePoint Workspace 2010 SP1 (32-bit) KB2566445
Microsoft Windows todas las versiones Microsoft SharePoint Workspace 2010 and Microsoft SharePoint Workspace 2010 SP1 (64-bit) KB2566445
Microsoft Windows todas las versiones Microsoft Windows SharePoint Services 2.0 KB2494007
Microsoft Windows todas las versiones Microsoft Windows SharePoint Services 3.0 SP2 (32-bit) KB2345304
Microsoft Windows todas las versiones Microsoft Windows SharePoint Services 3.0 SP2 (64-bit) KB2345304
Microsoft Windows todas las versiones Microsoft Word Web App 2010 and Microsoft Word Web App 2010 SP1 KB2345015
  1. Índice de explotabilidad

    Vulnerabilidad de XSS en el calendario de SharePoint - CVE-2011-0653

    Código de explotación consistente.

    Vulnerabilidad de saneamiento de HTML - CVE-2011-1252

    Código de explotación funcional improbable.

    Vulnerabilidad de inserción de scripts de Editform - CVE-2011-1890

    Código de explotación consistente.

    Vulnerabilidad de XSS reflejado en detalles de contacto - CVE-2011-1891

    Código de explotación consistente.

    Vulnerabilidad de divulgación remota de archivos en SharePoint - CVE-2011-1892

    Código de explotación funcional improbable.

    Vulnerabilidad de XSS en SharePoint - CVE-2011-1893

    Código de explotación consistente.

  2. Descripción

    Vulnerabilidad de XSS en el calendario de SharePoint - CVE-2011-0653

    Existe una vulnerabilidad de scripts de sitios en Microsoft SharePoint 2010 que podría provocar la divulgación de información o la elevación de privilegios si un usuario hace clic en una dirección URL maliciosa que contenga elementos JavaScript malintencionados.

    Vulnerabilidad de saneamiento de HTML - CVE-2011-1252

    Existe una vulnerabilidad de divulgación de información en la forma en que la función SafeHTML sanea el contenido HTML.

    Vulnerabilidad de inserción de scripts de Editform - CVE-2011-1890

    Existe una vulnerabilidad de scripts de sitios, divulgación de información y elevación de privilegios en Microsoft SharePoint 2010 y Microsoft Foundation 2010 si un usuario visita un sitio web malicioso.

    Vulnerabilidad de XSS reflejado en detalles de contacto - CVE-2011-1891

    Existe una vulnerabilidad de scripts de sitios en Microsoft SharePoint .

    Vulnerabilidad de divulgación remota de archivos en SharePoint - CVE-2011-1892

    Existe una vulnerabilidad de divulgación de archivos en Microsoft Office SharePoint.

    Vulnerabilidad de XSS en SharePoint - CVE-2011-1893

    Existe una vulnerabilidad de scripts de sitios, divulgación de información y elevación de privilegios en Microsoft SharePoint Server y Windows SharePoint Services donde el código JavaScript está codificado en una dirección URL maliciosa que se puede devolver al usuario en la página de resultados.

  3. Impacto

    pstrongVulnerabilidad de XSS en el calendario de SharePoint CVE20110653/strong/ppDebido a la vulnerabilidad cuando el código JavaScript malintencionado se repite en el explorador del usuario la página resultante podría permitir que un atacante emitiera comandos de SharePoint en el contexto del usuario autenticado en el sitio de SharePoint de destino./ppstrongVulnerabilidad de saneamiento de HTML CVE20111252/strong/ppUn atacante que consiguiera aprovechar esta vulnerabilidad podría realizar ataques de secuencias de comandos de sitios y ejecutar una secuencia de comandos en el contexto de seguridad del usuario que ha iniciado sesión./ppstrongVulnerabilidad de inserción de scripts de Editform CVE20111890/strong/ppEl script insertado podría permitir a un atacante emitir comandos de SharePoint en el contexto del usuario autenticado en el sitio de SharePoint atacado./ppstrongVulnerabilidad de XSS reflejado en detalles de contacto CVE20111891/strong/ppEsta vulnerabilidadnbsppodría permitir a un atacante obtener el control de cuentas de usuario válidas realizar operaciones en nombre del usuario redireccionar al usuario a sitios malintencionados o robar credenciales de usuario./ppstrongVulnerabilidad de divulgación remota de archivos en SharePoint CVE20111892/strong/ppEsta vulnerabilidadnbsppodría permitir a un usuario autenticado malintencionado usar un archivo XML especialmente diseñado para obtener acceso de solo lectura a un archivo local en el servidor SharePoint en el contexto de seguridad de la cuenta que ejecuta SharePoint./ppstrongVulnerabilidad de XSS en SharePoint CVE20111893/strong/ppEsta vulnerabilidadnbsppermite a un atacante emitir comandos de SharePoint en el contexto del usuario autenticado en un sitio de SharePoint atacado./p

  4. Solución

    • Microsoft Office
    1. Microsoft Office Groove 2007 Service Pack 2
    2. Microsoft SharePoint Workspace 2010 and Microsoft SharePoint Workspace 2010 SP 1 (32-bit editions)
    3. Microsoft SharePoint Workspace 2010 and Microsoft SharePoint Workspace 2010 SP 1 (64-bit editions)
    • Microsoft Server Software
    1. Microsoft Office Forms Server 2007 Service Pack 2 (32-bit editions)
    2. Microsoft Office Forms Server 2007 Service Pack 2 (64-bit editions)
    •              Microsoft Office SharePoint Server 2007 Service Pack 2 (32-bit editions)
    1. Coreserver (32-bit editions)
    2. Oserver (32-bit editions)
    3. Sserverx (32-bit editions)
    4. Dlc (32-bit editions)
    •              Microsoft Office SharePoint Server 2007 Service Pack 2 (64-bit editions)
    1. Coreserver (32-bit editions)
    2. Oserver (32-bit editions)
    3. Sserverx (32-bit editions)
    4. Dlc (32-bit editions)
    •              Microsoft Office SharePoint Server 2010 and Microsoft Office SharePoint Server 2010 Service Pack 1
    1. Osrchwfe
    2. Osrv
    3. Ppsmawfe
    4. Dlc
    5. Ppsmamui
    6. Wosrv
    •              Microsoft Groove Server
    1. Microsoft Office Groove Data Bridge Server 2007 Service Pack 2
    2. Microsoft Office Groove Management Server 2007 Service Pack 2
    3. Microsoft Groove Server 2010 and Microsoft Groove Server 2010 Service Pack 1
    •              Windows SharePoint Services and Microsoft SharePoint Foundation
    1. Microsoft Windows SharePoint Services 2.0
    2. Microsoft Windows SharePoint Services 3.0 Service Pack 2 (32-bit versions)
    3. Microsoft Windows SharePoint Services 3.0 Service Pack 2 (64-bit versions)
    4. Microsoft SharePoint Foundation 2010 and Microsoft SharePoint Foundation 2010 Service Pack 1
    •              Microsoft Office Web Apps
    1. Microsoft Office Web Apps 2010 and Microsoft Office Web Apps 2010 Service Pack 1
    2. Microsoft Word Web App 2010 and Microsoft Word Web App 2010 Service Pack 1

     

     

  5. Referencias

La Coordinación de Seguridad de la Información/UNAM-CERT agradece el apoyo en la elaboración ó traducción y revisión de éste Documento a:

  • Mayra Villeda (mvilleda at seguridad dot unam dot mx)
  • Francisco Carlos Martínez Godínez (fmartinez at seguridad dot unam dot mx)
  • Manuel Ignacio Quintero Martínez (mquintero at seguridad dot unam dot mx)

UNAM-CERT
Equipo de Respuesta a Incidentes UNAM
Coordinación de Seguridad de la Información

incidentes at seguridad.unam.mx
phishing at seguridad.unam.mx
http://www.cert.org.mx
http://www.seguridad.unam.mx
ftp://ftp.seguridad.unam.mx
Tel: 56 22 81 69
Fax: 56 22 80 47


Universidad Nacional Autonoma de México Aviso legal |  Créditos |  Staff |  Administración
Copyright © Todos los derechos reservados
UNAM - CERT